Update
curl --request PATCH \
--url https://{defaultHost}/v1/warehouses/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"warehouse": {
"label": "Updated Warehouse"
}
}
'import requests
url = "https://{defaultHost}/v1/warehouses/{id}"
payload = { "warehouse": { "label": "Updated Warehouse" } }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({warehouse: {label: 'Updated Warehouse'}})
};
fetch('https://{defaultHost}/v1/warehouses/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "8a554318-0e7c-4d74-ad08-111e13cb17c6",
"object": "warehouse",
"label": "Updated Warehouse",
"default": false,
"contact": "4bcb7db1-e144-4e93-a46d-a9e746c72ee3",
"created_at": 1782485918,
"updated_at": 1782485918
}Warehouses
Update
Updates a specific warehouse.
PATCH
/
v1
/
warehouses
/
{id}
Update
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Show child attributes
Show child attributes
Response
200 - application/json
Success
The UUID of the specific object.
A string describing the object type returned.
The label for this warehouse.
Whether or not this warehouse is the account's default.
Expandable – The associated contact ID.
Time at which the object was created. Measured in seconds since the Unix epoch.
Time at which the object was last updated. Measured in seconds since the Unix epoch.
Was this page helpful?
⌘I